Class | Sequel::Informix::Database
In: | lib/sequel/adapters/informix.rb
Parent: | Sequel::Database

### Methods

connect dataset do execute execute_dui query

### Constants

TEMPORARY | = | 'TEMP '.freeze

### Public Instance methods

connect(server)

[Source]

        # File lib/sequel/adapters/informix.rb, line 10
    10:       def connect(server)
    11:         opts = server_opts(server)
    12:         ::Informix.connect(opts[:database], opts[:user], opts[:password])
    13:       end

dataset(opts = nil)

[Source]

        # File lib/sequel/adapters/informix.rb, line 15
    15:       def dataset(opts = nil)
    16:         Sequel::Informix::Dataset.new(self, opts)
    17:       end

do(sql, opts={})

Alias for execute_dui

execute(sql, opts={}) {|c.cursor(sql)}| ...}

[Source]

        # File lib/sequel/adapters/informix.rb, line 26
    26:       def execute(sql, opts={})
    27:         log_info(sql)
    28:         synchronize(opts[:server]){|c| yield c.cursor(sql)}
    29:       end

execute_dui(sql, opts={})

Returns number of rows affected

[Source]

        # File lib/sequel/adapters/informix.rb, line 20
    20:       def execute_dui(sql, opts={})
    21:         log_info(sql)
    22:         synchronize(opts[:server]){|c| c.immediate(sql)}
    23:       end

query(sql, opts={})

Alias for execute

[Validate]